## qgis 3.22.12+dfsg

=== debian/changelog ===
qgis (3.22.12+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Nov 2022 05:23:55 +0100

qgis (3.22.12+dfsg-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 24 Oct 2022 17:03:20 +0200

qgis (3.22.12+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 21 Oct 2022 15:07:21 +0200

qgis (3.22.11+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 18 Sep 2022 06:39:18 +0200

qgis (3.22.11+dfsg-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 11 Sep 2022 15:08:05 +0200

qgis (3.22.11+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update lintian overrides.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 09 Sep 2022 16:37:36 +0200

qgis (3.22.10+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 22 Aug 2022 06:46:04 +0200

qgis (3.22.9+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 23 Jul 2022 07:39:28 +0200

qgis (3.22.8+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 13 Jul 2022 17:46:28 +0200

qgis (3.22.7+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 26 May 2022 07:31:48 +0200

qgis (3.22.6+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 21 May 2022 07:08:42 +0200

qgis (3.22.6+dfsg-1) unstable; urgency=medium

  * Add patch to fix FTBFS with GDAL 3.5.0.
  * Bump minimum GRASS build dependency version to 8.0.2.
  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 16 May 2022 09:56:47 +0200

qgis (3.22.5+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.
  * Revert GRASS 8.0.1 changes, bullseye has 7.8.5.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 28 Mar 2022 08:06:47 +0200

qgis (3.22.4+dfsg-3~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Tue, 08 Mar 2022 06:16:11 +0100

qgis (3.16.16+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 22 Jan 2022 07:16:44 +0100

qgis (3.16.15+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Wed, 29 Dec 2021 05:48:36 +0100

qgis (3.16.14+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sat, 27 Nov 2021 07:17:43 +0100
