## qgis 3.22.13+dfsg

=== debian/changelog ===
qgis (3.22.13+dfsg-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Mon, 21 Nov 2022 05:56:42 +0100

qgis (3.22.13+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Refresh patches.
  * Update copyright file.
  * Set -DPython_FIND_UNVERSIONED_NAMES=FIRST for default Python version.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 18 Nov 2022 15:25:22 +0100
