## qgis 3.22.14+dfsg

=== debian/changelog ===
qgis (3.22.14+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 29 Dec 2022 11:08:30 +0100

qgis (3.22.14+dfsg-1) unstable; urgency=medium

  * Update symbols for other architectures.
  * Move from experimental to unstable.

 -- Bas Couwenberg <sebastic@debian.org>  Thu, 22 Dec 2022 16:33:14 +0100

qgis (3.22.14+dfsg-1~exp1) experimental; urgency=medium

  * New upstream release.
  * Drop unused PYTHON_LIBRARY variable.
  * Add Rules-Requires-Root to control file.
  * Refresh patches.
  * Update symbols for amd64.

 -- Bas Couwenberg <sebastic@debian.org>  Fri, 16 Dec 2022 17:06:48 +0100

qgis (3.22.13+dfsg-1~bpo11+1) bullseye-backports; urgency=medium

  * Rebuild for bullseye-backports.

 -- Bas Couwenberg <sebastic@debian.org>  Sun, 27 Nov 2022 06:46:02 +0100
