=== debian/control ===
--- 
+++ 
@@ -11,7 +11,7 @@
                dh-python,
                flex,
                gdal-bin,
-               grass-dev (>= 8.2.0),
+               grass-dev (>= 7.8.5),
                libexiv2-dev,
                libexpat1-dev,
                libfcgi-dev,
@@ -90,8 +90,9 @@
                  qgis-dev
 Standards-Version: 4.6.1
 Vcs-Browser: https://salsa.debian.org/debian-gis-team/qgis
-Vcs-Git: https://salsa.debian.org/debian-gis-team/qgis.git
+Vcs-Git: https://salsa.debian.org/debian-gis-team/qgis.git -b bullseye-backports
 Homepage: https://qgis.org/
+Rules-Requires-Root: no
 
 Package: qgis
 Architecture: any
@@ -131,7 +132,7 @@
  This package contains architecture-independent supporting data files for use
  with QGIS.
 
-Package: libqgis-3d3.22.13
+Package: libqgis-3d3.22.14
 Architecture: any
 Section: libs
 Depends: qt3d-assimpsceneimport-plugin,
@@ -146,7 +147,7 @@
  .
  This package contains the shared 3d library.
 
-Package: libqgis-analysis3.22.13
+Package: libqgis-analysis3.22.14
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -157,7 +158,7 @@
  .
  This package contains the shared analysis library.
 
-Package: libqgis-app3.22.13
+Package: libqgis-app3.22.14
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -168,7 +169,7 @@
  .
  This package contains the shared app library.
 
-Package: libqgis-core3.22.13
+Package: libqgis-core3.22.14
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -179,7 +180,7 @@
  .
  This package contains the shared core library.
 
-Package: libqgis-gui3.22.13
+Package: libqgis-gui3.22.14
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -190,7 +191,7 @@
  .
  This package contains the shared gui library.
 
-Package: libqgis-native3.22.13
+Package: libqgis-native3.22.14
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -201,7 +202,7 @@
  .
  This package contains the shared native gui library.
 
-Package: libqgis-server3.22.13
+Package: libqgis-server3.22.14
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -212,7 +213,7 @@
  .
  This package contains the shared server library.
 
-Package: libqgisgrass8-3.22.13
+Package: libqgisgrass7-3.22.14
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -223,7 +224,7 @@
  .
  This package contains the shared grass library.
 
-Package: libqgispython3.22.13
+Package: libqgispython3.22.14
 Architecture: any
 Section: libs
 Depends: ${shlibs:Depends},
@@ -248,7 +249,7 @@
 Package: libqgis-dev
 Architecture: any
 Section: libdevel
-Depends: grass-dev (>= 8.2.0),
+Depends: grass-dev (>= 7.8.0),
          libexiv2-dev,
          libexpat1-dev,
          libgdal-dev (>= 1.11),
@@ -257,15 +258,15 @@
          libpq-dev,
          libproj-dev,
          libqca-qt5-2-dev,
-         libqgis-3d3.22.13 (= ${binary:Version}),
-         libqgis-analysis3.22.13 (= ${binary:Version}),
-         libqgis-app3.22.13 (= ${binary:Version}),
-         libqgis-core3.22.13 (= ${binary:Version}),
-         libqgis-gui3.22.13 (= ${binary:Version}),
-         libqgis-native3.22.13 (= ${binary:Version}),
-         libqgis-server3.22.13 (= ${binary:Version}),
-         libqgisgrass8-3.22.13 (= ${binary:Version}),
-         libqgispython3.22.13 (= ${binary:Version}),
+         libqgis-3d3.22.14 (= ${binary:Version}),
+         libqgis-analysis3.22.14 (= ${binary:Version}),
+         libqgis-app3.22.14 (= ${binary:Version}),
+         libqgis-core3.22.14 (= ${binary:Version}),
+         libqgis-gui3.22.14 (= ${binary:Version}),
+         libqgis-native3.22.14 (= ${binary:Version}),
+         libqgis-server3.22.14 (= ${binary:Version}),
+         libqgisgrass7-3.22.14 (= ${binary:Version}),
+         libqgispython3.22.14 (= ${binary:Version}),
          libqscintilla2-qt5-dev,
          libqt5svg5-dev,
          libqt5webkit5-dev,
@@ -320,7 +321,7 @@
 Depends: qgis (= ${binary:Version}),
          qgis-plugin-grass-common (= ${source:Version}),
          qgis-provider-grass (= ${binary:Version}),
-         grass-core (>= 8.2.0),
+         grass-core (>= 7.8.0),
          ${grass:Depends},
          ${shlibs:Depends},
          ${misc:Depends}
@@ -350,7 +351,7 @@
 Section: python
 Depends: python3-qgis-common (= ${source:Version}),
          qgis-providers (= ${binary:Version}),
-         libqgispython3.22.13,
+         libqgispython3.22.14,
          libsqlite3-mod-spatialite,
          python3-dateutil,
          python3-future,
@@ -370,5 +371,3 @@
          python3-pyqt5.qtsvg,
          python3-pyqt5.qtwebkit,
          python3-requests,
-         python3-six,
-         python3-tz,
